﻿Option Explicit On
Option Strict On


Public Class Form1
    Const CHARGE_RATE1 As Single = 0.5
    Const CHARGE_RATE2 As Single = 0.55
    Const CHARGE_RATE3 As Single = 0.6
    Const CHARGE_RATE4 As Single = 0.65
    Dim moneyt As Single
    Dim numberemployees As Short
    Dim numberpiecesT As Short
    Private Sub btnClear_Click(sender As Object, e As EventArgs) Handles btnClear.Click
        'programming regular clear btn "only clearing name and pieces text boxes"

        txtName.Text = ""
        txtNumber.Text = ""

    End Sub

    Private Sub btnClearAll_Click(sender As Object, e As EventArgs) Handles btnClearAll.Click
        'programming clear all button "clear just the summary despite the name"
        moneyt = 0
        numberemployees = 0
        numberpiecesT = 0
    End Sub

    Private Sub btncalculate_Click(sender As Object, e As EventArgs) Handles btncalculate.Click
        'Programming calculate button, display initial results per person

        Dim employeemoneyS As String
        Dim MessageString As String
        Dim name As String = txtName.Text
        Dim moneye As Single
        Dim numberpieces As Short
        Dim iserror As Boolean = False
        Dim numberpiecesd As Decimal
        'input  

        'debugging using If logical operator
        numberpiecesd = Decimal.Parse(txtNumber.Text)

        If name = "" Then
            MessageBox.Show("Error", "No name inputed", MessageBoxButtons.OK, MessageBoxIcon.Warning)
            iserror = True
        ElseIf Math.Floor(numberpiecesd) <> Math.Ceiling(numberpiecesd) Then

            numberpiecesd = Decimal.Parse(txtNumber.Text)
            MessageBox.Show("Number of Pieces input Error", "Did Not Input Correct Number", MessageBoxButtons.OK, MessageBoxIcon.Warning)

            iserror = True

            'makes sure program does not run when error detected
        End If

        If iserror = False Then

            numberpieces = Short.Parse(txtNumber.Text)
        ElseIf iserror = True Then
            Return

        End If


        'processing
        numberpiecesT = numberpiecesT + numberpieces
        numberemployees = CShort(numberemployees + 1)

        Select Case numberpieces
            Case Is <= 199
                moneye = numberpieces * CHARGE_RATE1
            Case 200 To 399
                moneye = numberpieces * CHARGE_RATE2
            Case 400 To 500
                moneye = numberpieces * CHARGE_RATE3
            Case Else
                moneye = numberpieces * CHARGE_RATE4
        End Select

        moneyt = moneyt + moneye
        'Output 

        employeemoneyS = moneye.ToString("C2")
        'message box for individual employee summary
        MessageString = "Money Earned: " & employeemoneyS
        MessageBox.Show(MessageString, "Money Earned by Employee", MessageBoxButtons.OK, MessageBoxIcon.Information)

    End Sub

    Private Sub btnsummary_Click(sender As Object, e As EventArgs) Handles btnsummary.Click
        'summary output
        Dim MessageString As String
        Dim name As String = txtName.Text
        Dim totalmoneyS As String
        Dim averagepay As Single = moneyt / numberemployees
        totalmoneyS = moneyt.ToString("C2")
        'message box to display summary information
        MessageString = "Total Money Earned: " & totalmoneyS & Environment.NewLine & "Average pay: " & averagepay.ToString("C2") & Environment.NewLine & "Total Pieces: " & numberpiecesT
        MessageBox.Show(MessageString, "Summary", MessageBoxButtons.OK, MessageBoxIcon.Information)

    End Sub
End Class
